Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(118)

Unified Diff: src/platform/vboot_reference/tests/common.sh

Issue 1101004: Vboot Reference: Spring cleaning of test scripts. (Closed)
Patch Set: review fixes. Created 10 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | src/platform/vboot_reference/tests/gen_fuzz_test_cases.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: src/platform/vboot_reference/tests/common.sh
diff --git a/src/platform/vboot_reference/tests/common.sh b/src/platform/vboot_reference/tests/common.sh
new file mode 100755
index 0000000000000000000000000000000000000000..82fdb8508174945aaa5220bbcefb3e1caf5b3e06
--- /dev/null
+++ b/src/platform/vboot_reference/tests/common.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+# Copyright (c) 2010 The Chromium OS Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# Determine script directory.
+if [[ $0 == '/'* ]];
+then
+ SCRIPT_DIR="`dirname $0`"
+elif [[ $0 == './'* ]];
+then
+ SCRIPT_DIR="`pwd`"
+else
+ SCRIPT_DIR="`pwd`"/"`dirname $0`"
+fi
+
+UTIL_DIR=`dirname ${SCRIPT_DIR}`/utils
+TEST_DIR=${SCRIPT_DIR}
+TESTKEY_DIR=${SCRIPT_DIR}/testkeys
+TESTCASE_DIR=${SCRIPT_DIR}/testcases
+
+# Color output encodings.
+COL_RED='\E[31;1m'
+COL_GREEN='\E[32;1m'
+COL_YELLOW='\E[33;1m'
+COL_BLUE='\E[34;1m'
+COL_STOP='\E[0;m'
+
+hash_algos=( sha1 sha256 sha512 )
+key_lengths=( 1024 2048 4096 8192 )
+
+function check_test_keys {
+ if [ ! -d ${TESTKEY_DIR} ]
+ then
+ echo "You must run gen_test_keys.sh to generate test keys first."
+ exit 1
+ fi
+}
« no previous file with comments | « no previous file | src/platform/vboot_reference/tests/gen_fuzz_test_cases.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698